// creator  : weidu.exe (version 23600)
// argument : IRON11.DLG
// game     : .
// source   : ./override/IRON11.DLG
// dialog   : lang\en_us/dialog.tlk
// dialogF  : (none)

BEGIN ~IRON11~

IF ~  NumberOfTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #4427 /* ~Are you here to pay homage to our dread lord?~ */
  IF ~~ THEN REPLY #4428 /* ~Yes, we are.~ */ GOTO 1
  IF ~~ THEN REPLY #4429 /* ~No! Now die, scum!~ */ DO ~Enemy()
~ EXIT
  IF ~Global("X#DynaheirBhaal","GLOBAL",0)
InParty("dynaheir")
InMyArea("dynaheir")
!StateCheck("dynaheir",CD_STATE_NOTVALID)
~ THEN DO ~SetGlobal("X#DynaheirBhaal","GLOBAL",1)~ EXTERN ~DYNAHJ~ 84
END

IF ~~ THEN BEGIN 1 // from: 7.0 0.0
  SAY #4430 /* ~Say our dread lord's name aloud in prayer.~ */
  IF ~~ THEN REPLY #4431 /* ~We don't feel like it right now.~ */ GOTO 2
  IF ~~ THEN REPLY #4432 /* ~By the Black Hand of Bane.~ */ GOTO 4
  IF ~~ THEN REPLY #4433 /* ~By the knife of Bhaal.~ */ GOTO 4
  IF ~~ THEN REPLY #4434 /* ~By the Black Sun of Cyric.~ */ GOTO 3
  IF ~~ THEN REPLY #4435 /* ~With the ill luck of Beshaba.~ */ GOTO 2
END

IF ~~ THEN BEGIN 2 // from: 1.4 1.0
  SAY #4436 /* ~Wrong answer.~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.3
  SAY #4437 /* ~Good! You may proceed.~ */
  IF ~~ THEN DO ~EscapeArea()
~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 1.2 1.1
  SAY #4438 /* ~He's dead, you idiot. Now die!~ */
  IF ~~ THEN DO ~Enemy()
~ EXIT
END

IF ~  StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 5 // from:
  SAY #6263 /* ~You're obviously here on important business, friends. If you want to see Davaeorn, he's on the fourth floor.~ */
  IF ~~ THEN UNSOLVED_JOURNAL #27172 /* ~Flooding the Cloakwood Mine
An Iron Throne guard told us that we could find Davaeorn on the fourth floor of the Cloakwood mine.~ */ EXIT
END

IF ~~ THEN BEGIN 6 // from:
  SAY #9223 /* ~You're not welcome here! You'll pay with your life!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY #46310 /* ~Answer me!~ */
  IF ~~ THEN REPLY #4428 /* ~Yes, we are.~ */ GOTO 1
  IF ~~ THEN REPLY #4429 /* ~No! Now die, scum!~ */ DO ~Enemy()
~ EXIT
END
